# -*- coding: utf-8 -*-
"""
Le deuxieme_module contient les fonctions a completer :
    construit_dico_emplacement(couleurs, valeurs)
    affichage_console(matrice_chaines, matrice_masque)
 
"""

#  Constantes utilisees dans ce module
#  COULEURS, VALEURS sont les listes des 4 couleurs et des 8 valeurs de cartes.
from constantes import COULEURS, VALEURS



def construit_dico_emplacement(couleurs, valeurs):
    """
    Cette fonction construit le dictionnaire donnant le couple (ligne, colonne)
    dans la grille de jeu en fonction du nom de la carte.
    Par exemple dico['s7'] vaut (0, 0) puisque l'emplacement du 7 de pique
    sur la grille de jeu est dans la premiere ligne et dans la premiere
    colonne.
    Ainsi les cles sont les elements 's7', 's8', 's9', 's10' etc.
    Les valeurs sont les couples (0, 0), (0, 1), (0, 2), (0, 3) etc.

    Parameters
    ----------
    COULEURS : TYPE Liste de chaines de caracteres.
        Ce sont les initiales des couleurs en anglais dans un jeu de cartes.
       's' pour 'spade' (pique), 'h' pour 'heart' (coeur),
       'd' pour 'diamond' (carreau), 'c' pour 'club' (trefle).

    VALEURS : TYPE Liste de chaines de caracteres.
        Ce sont les initiales des cartes en anglais dans un jeu de cartes.
        '7' '8' '9' '10'
       'j' pour 'jack' (valet), 'q' pour 'queen' (reine),
       'k' pour 'king' (roi), et l'as note '1'.

    Returns
    -------
    dico : TYPE dictionnaire.
    Ce dictionnaire, a chaque carte, associe son couple (ligne, colonne)
    sur la grille de jeu.
    Il vaut donc
    {'s7': (0, 0), 's8': (0, 1), 's9': (0, 2), 's10': (0, 3), 'sj': (0, 4),\
     'sq': (0, 5), 'sk': (0, 6), 's1': (0, 7), 'h7': (1, 0), 'h8': (1, 1),\
         'h9': (1, 2), 'h10': (1, 3), 'hj': (1, 4), 'hq': (1, 5),\
             'hk': (1, 6), 'h1': (1, 7), 'd7': (2, 0), 'd8': (2, 1),\
                 'd9': (2, 2), 'd10': (2, 3), 'dj': (2, 4), 'dq': (2, 5),\
                     'dk': (2, 6), 'd1': (2, 7), 'c7': (3, 0), 'c8': (3, 1),\
                         'c9': (3, 2), 'c10': (3, 3), 'cj': (3, 4),\
                             'cq': (3, 5), 'ck': (3, 6), 'c1': (3, 7)}

    """
    pass



def affichage_console(matrice_chaines, matrice_masque):
    '''
    Cette fonction affiche dans la console deux matrices et un dictionnaire :
    - matrice_chaines qui est nommee matrice_du_jeu a l'exterieur de la
    fonction.
    - matrice_masque qui est nommee matrice_des_dos a l'exterieur de la
    fonction.
    Ces deux matrices decrivenet l'etat du jeu a tout moment.

    La fonction affiche aussi dico_emplacement qui est le dictionnaire donnant
    le couple (ligne, colonne) des 32 cartes sur la grille du jeu, lorsqu'elles
    sont disposees dans l'ordre pique, coeur, carreau, trefle et classes de
    la valeur 7 a la valeur as.

    Chaque ligne des matrices est affichee sur une ligne differente dans
    la console.
    Une ligne d'espace est affiche apres les deux matrices ainsi qu'entre la
    deuxieme matrice et le dictionnaire.

    Enfin une ligne de symboles separateurs sera affichee pour terminer.

    Parameters
    ----------
        matrice_chaines : TYPE liste de listes de chaines de caracteres
                 Elle represente la grille du jeu de 5 lignes et 8 colonnes.

        matrice_masque : TYPE liste de listes d'entiers.
        C'est la matrice de 5 lignes de 8 elements qui sont :
          0 si l'emplacement ne contient pas le dos d'une carte.
          1 si l'emplacement contient le dos d'une carte.
            Par exemple :
               [[0, 1, 1, 1, 1, 1, 1, 1],
                [0, 1, 1, 1, 1, 1, 1, 1],
                [0, 1, 1, 1, 1, 1, 1, 1],
                [0, 1, 1, 1, 1, 1, 1, 1],
                [0, 0, 0, 1, 1, 1, 0, 0]].
        Au debut d'une nouvelle partie, toutes les cartes sont dos visible.

        dico_emplacements : TYPE dictionnaire
        C'est le dictionnaire qui a chaque nom de carte associe son couple
        (ligne, colonne) sur la grille de jeu, lorsque les 32 cartes sont
        placees dans l'ordre.

    Returns
    -------
        None.
        Cette fonction affiche seulement les matrices et le dictionnaire
        dans la console. C'est une procedure.

    '''
    pass
